__gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >(3)

NAME
__gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc > - Node.

SYNOPSIS

  Public Types
typedef _Metadata metadata_type
typedef rebind_traits< _Alloc, this_type >::pointer node_pointer
typedef _Alloc::size_type size_type
typedef _Value value_type

  Public Attributes
metadata_type m_metadata
node_pointer m_p_l_child
node_pointer m_p_next_sibling
node_pointer m_p_prev_or_parent
value_type m_value

Detailed Description

  template<typename _Value, typename _Metadata, typename _Alloc>
struct __gnu_pbds::detail::left_child_next_sibling_heap_node_< _Value, _Metadata, _Alloc >" Node.

Definition at line 52 of file left_child_next_sibling_heap_/node.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.